simple-editor
=============
This is a very simple demo application for OpenShot Cloud API. You can log-in, upload files,
create/edit clips, move clips (up/down), and export / download a video.

urls:
-----
  - /login/:  Allow user to login to API (auth saved to localStorage)
  - /projects/:  List all projects (create, edit, copy, delete)
  - /projects/ID/:  Video editor (files, clips, preview, export)

editor:
-------
  - files: upload (w/progress bars), filter, and delete
  - clips: trimming (start, end), position (move clip), edit, delete
  - preview: file & clips supported, play/pause, simple timeline w/ trimming, add-clip button
  - export: progress bar, cancel, download, preview (show last export)

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
Modify `.env.development` file to update the `VUE_APP_OPENSHOT_API_URL` variable used in development mode. This is
a required step when building this application for use with your own **OpenShot Cloud API** server.
```
npm run serve
```

### Compiles and minifies for production
Modify `.env.production` file to update the `VUE_APP_OPENSHOT_API_URL` variable used in production/build mode. This is
a required step when building this application for use with your own **OpenShot Cloud API** server.

```
npm run build
```

This will generate a `dist` folder, which contains all the needed files to deploy this application. The dist directory 
is meant to be served by an HTTP server, so it will not work if you open dist/index.html directly over file:// protocol.

Read more about deployment: https://cli.vuejs.org/guide/deployment.html

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
